/**
 * 
 */
package jp.ac.naka.ec.media;

import java.util.EventListener;

/**
 * @author Kasuya
 *
 */
public interface MediaListener extends EventListener{

	/**
	 * RTPストリームの受信が完了したときに呼ばれるコールバック
	 * @param e
	 */
	void receiveMedia(MediaReceiveEvent e);

	/**
	 * RTPストリームが終了したときに呼ばれるコールバック
	 * @param e
	 */
	void terminateMedia(MediaReceiveEvent e);

}
